APIAnomaly
Get findings over time
Findings per bucket grouped by severity, counted by the finding's last active bucket (last_bucket).
GET
Findings per bucket grouped by severity, counted by the finding's last active bucket (last_bucket).
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_anomaly_detectionstart_time*stringFormat
date-timeend_time*stringFormat
date-timeinterval?stringGrouping interval for time series data.
Value in
"hour""day"The request has succeeded.
application/json- response
series*array<>curl -X GET "https://example.com/anomaly/findings-over-time?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "series": [ { "timestamp": "2019-08-24T14:15:22Z", "severity": "low", "count": 0 } ]}